# Security update for gstreamer-plugins-bad

Announcement ID: SUSE-SU-2023:4575-1  
Rating: important  
References:

  * bsc#1215793
  * bsc#1215796

  
Cross-References:

  * CVE-2023-40474
  * CVE-2023-40476

  
CVSS scores:

  * CVE-2023-40474 ( SUSE ):  8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
  * CVE-2023-40476 ( SUSE ):  8.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:L

  
Affected Products:

  * Basesystem Module 15-SP4
  * Desktop Applications Module 15-SP4
  * openSUSE Leap 15.4
  * SUSE Linux Enterprise Desktop 15 SP4
  * SUSE Linux Enterprise High Performance Computing 15 SP4
  * SUSE Linux Enterprise Micro 5.3
  * SUSE Linux Enterprise Micro 5.4
  * SUSE Linux Enterprise Real Time 15 SP4
  * SUSE Linux Enterprise Server 15 SP4
  * SUSE Linux Enterprise Server for SAP Applications 15 SP4
  * SUSE Manager Proxy 4.3
  * SUSE Manager Retail Branch Server 4.3
  * SUSE Manager Server 4.3
  * SUSE Package Hub 15 15-SP4

  
  
An update that solves two vulnerabilities can now be installed.

## Description:

This update for gstreamer-plugins-bad fixes the following issues:

  * CVE-2023-40474: Fixed integer overflow causing out of bounds writes when
    handling invalid uncompressed video (bsc#1215796).
  * CVE-2023-40476: Fixed possible overflow using max_sub_layers_minus1
    (bsc#1215793).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.4  
    zypper in -t patch SUSE-2023-4575=1

  * Basesystem Module 15-SP4  
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2023-4575=1

  * Desktop Applications Module 15-SP4  
    zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP4-2023-4575=1

  * SUSE Package Hub 15 15-SP4  
    zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2023-4575=1

## Package List:

  * openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64 i586)
    * typelib-1_0-GstCodecs-1_0-1.20.1-150400.3.9.1
    * libgstadaptivedemux-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * typelib-1_0-GstWebRTC-1_0-1.20.1-150400.3.9.1
    * libgstbasecamerabinsrc-1_0-0-1.20.1-150400.3.9.1
    * libgstbasecamerabinsrc-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstplay-1_0-0-1.20.1-150400.3.9.1
    * typelib-1_0-GstVulkan-1_0-1.20.1-150400.3.9.1
    * libgstbadaudio-1_0-0-1.20.1-150400.3.9.1
    * libgsttranscoder-1_0-0-1.20.1-150400.3.9.1
    * libgstmpegts-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstwebrtc-1_0-0-1.20.1-150400.3.9.1
    * libgstcodecs-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstisoff-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * typelib-1_0-GstPlayer-1_0-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-devel-1.20.1-150400.3.9.1
    * libgstcodecs-1_0-0-1.20.1-150400.3.9.1
    * libgstinsertbin-1_0-0-1.20.1-150400.3.9.1
    * gstreamer-transcoder-debuginfo-1.20.1-150400.3.9.1
    * libgstplayer-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstsctp-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgsturidownloader-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * typelib-1_0-GstInsertBin-1_0-1.20.1-150400.3.9.1
    * libgstmpegts-1_0-0-1.20.1-150400.3.9.1
    * libgstcodecparsers-1_0-0-1.20.1-150400.3.9.1
    * libgsttranscoder-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstvulkan-1_0-0-1.20.1-150400.3.9.1
    * typelib-1_0-GstVulkanWayland-1_0-1.20.1-150400.3.9.1
    * libgstadaptivedemux-1_0-0-1.20.1-150400.3.9.1
    * libgstsctp-1_0-0-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-chromaprint-1.20.1-150400.3.9.1
    * libgstphotography-1_0-0-1.20.1-150400.3.9.1
    * libgstinsertbin-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-debuginfo-1.20.1-150400.3.9.1
    * libgstva-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstplayer-1_0-0-1.20.1-150400.3.9.1
    * libgstwayland-1_0-0-1.20.1-150400.3.9.1
    * gstreamer-transcoder-devel-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-chromaprint-debuginfo-1.20.1-150400.3.9.1
    * typelib-1_0-GstTranscoder-1_0-1.20.1-150400.3.9.1
    * gstreamer-transcoder-1.20.1-150400.3.9.1
    * typelib-1_0-GstPlay-1_0-1.20.1-150400.3.9.1
    * libgstwebrtc-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstbadaudio-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgsturidownloader-1_0-0-1.20.1-150400.3.9.1
    * libgstva-1_0-0-1.20.1-150400.3.9.1
    * libgstwayland-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * typelib-1_0-GstBadAudio-1_0-1.20.1-150400.3.9.1
    * libgstisoff-1_0-0-1.20.1-150400.3.9.1
    * typelib-1_0-GstVulkanXCB-1_0-1.20.1-150400.3.9.1
    * libgstcodecparsers-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstplay-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-debugsource-1.20.1-150400.3.9.1
    * libgstvulkan-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * typelib-1_0-GstMpegts-1_0-1.20.1-150400.3.9.1
    * libgstphotography-1_0-0-debuginfo-1.20.1-150400.3.9.1
  * openSUSE Leap 15.4 (x86_64)
    * libgstvulkan-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstplay-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstplayer-1_0-0-32bit-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-32bit-1.20.1-150400.3.9.1
    * libgstphotography-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstplay-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstsctp-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgsturidownloader-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstphotography-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstmpegts-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstplayer-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstwayland-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstva-1_0-0-32bit-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-chromaprint-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstwayland-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstvulkan-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstinsertbin-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-chromaprint-32bit-1.20.1-150400.3.9.1
    * libgstmpegts-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstisoff-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstisoff-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstcodecs-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstcodecparsers-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstsctp-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstva-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstbadaudio-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstbasecamerabinsrc-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstadaptivedemux-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstcodecs-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstwebrtc-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstinsertbin-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgsturidownloader-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstbadaudio-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstwebrtc-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstadaptivedemux-1_0-0-32bit-1.20.1-150400.3.9.1
    * libgstbasecamerabinsrc-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
    * libgstcodecparsers-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1
  * openSUSE Leap 15.4 (noarch)
    * gstreamer-plugins-bad-lang-1.20.1-150400.3.9.1
  * openSUSE Leap 15.4 (aarch64_ilp32)
    * libgstsctp-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstmpegts-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgsturidownloader-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstinsertbin-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstadaptivedemux-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstvulkan-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgsturidownloader-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstvulkan-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstcodecparsers-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-chromaprint-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstva-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstwebrtc-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstisoff-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstcodecs-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstbasecamerabinsrc-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstbasecamerabinsrc-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstwayland-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstplayer-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-64bit-1.20.1-150400.3.9.1
    * libgstinsertbin-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstphotography-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstphotography-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstadaptivedemux-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstwayland-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstcodecs-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstplayer-1_0-0-64bit-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-chromaprint-64bit-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstplay-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstbadaudio-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1
    * libgstbadaudio-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstcodecparsers-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstsctp-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstplay-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstva-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstisoff-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstwebrtc-1_0-0-64bit-1.20.1-150400.3.9.1
    * libgstmpegts-1_0-0-64bit-1.20.1-150400.3.9.1
  * Basesystem Module 15-SP4 (aarch64 ppc64le s390x x86_64)
    * libgstphotography-1_0-0-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-debuginfo-1.20.1-150400.3.9.1
    * libgstplayer-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstplayer-1_0-0-1.20.1-150400.3.9.1
    * libgstplay-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-debugsource-1.20.1-150400.3.9.1
    * libgstplay-1_0-0-1.20.1-150400.3.9.1
    * libgstphotography-1_0-0-debuginfo-1.20.1-150400.3.9.1
  * Desktop Applications Module 15-SP4 (aarch64 ppc64le s390x x86_64)
    * typelib-1_0-GstCodecs-1_0-1.20.1-150400.3.9.1
    * libgstadaptivedemux-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * typelib-1_0-GstWebRTC-1_0-1.20.1-150400.3.9.1
    * libgstbasecamerabinsrc-1_0-0-1.20.1-150400.3.9.1
    * libgstbasecamerabinsrc-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstbadaudio-1_0-0-1.20.1-150400.3.9.1
    * libgstmpegts-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstwebrtc-1_0-0-1.20.1-150400.3.9.1
    * libgstcodecs-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstisoff-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * typelib-1_0-GstPlayer-1_0-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-devel-1.20.1-150400.3.9.1
    * libgstcodecs-1_0-0-1.20.1-150400.3.9.1
    * libgstinsertbin-1_0-0-1.20.1-150400.3.9.1
    * libgstsctp-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * typelib-1_0-GstInsertBin-1_0-1.20.1-150400.3.9.1
    * libgsturidownloader-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstmpegts-1_0-0-1.20.1-150400.3.9.1
    * libgstcodecparsers-1_0-0-1.20.1-150400.3.9.1
    * libgstvulkan-1_0-0-1.20.1-150400.3.9.1
    * libgstadaptivedemux-1_0-0-1.20.1-150400.3.9.1
    * libgstsctp-1_0-0-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-chromaprint-1.20.1-150400.3.9.1
    * libgstinsertbin-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-debuginfo-1.20.1-150400.3.9.1
    * libgstva-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstwayland-1_0-0-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-chromaprint-debuginfo-1.20.1-150400.3.9.1
    * typelib-1_0-GstPlay-1_0-1.20.1-150400.3.9.1
    * libgstwebrtc-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgstbadaudio-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * libgsturidownloader-1_0-0-1.20.1-150400.3.9.1
    * libgstva-1_0-0-1.20.1-150400.3.9.1
    * libgstwayland-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * typelib-1_0-GstBadAudio-1_0-1.20.1-150400.3.9.1
    * libgstisoff-1_0-0-1.20.1-150400.3.9.1
    * libgstcodecparsers-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-debugsource-1.20.1-150400.3.9.1
    * libgstvulkan-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * typelib-1_0-GstMpegts-1_0-1.20.1-150400.3.9.1
  * Desktop Applications Module 15-SP4 (noarch)
    * gstreamer-plugins-bad-lang-1.20.1-150400.3.9.1
  * SUSE Package Hub 15 15-SP4 (aarch64 ppc64le s390x x86_64)
    * gstreamer-plugins-bad-debugsource-1.20.1-150400.3.9.1
    * libgsttranscoder-1_0-0-1.20.1-150400.3.9.1
    * libgsttranscoder-1_0-0-debuginfo-1.20.1-150400.3.9.1
    * gstreamer-plugins-bad-debuginfo-1.20.1-150400.3.9.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-40474.html
  * https://www.suse.com/security/cve/CVE-2023-40476.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1215793
  * https://bugzilla.suse.com/show_bug.cgi?id=1215796

SUSE: 2023:4575-1 important: gstreamer-plugins-bad

November 27, 2023
* bsc#1215793 * bsc#1215796 Cross-References: * CVE-2023-40474

Summary

## This update for gstreamer-plugins-bad fixes the following issues: * CVE-2023-40474: Fixed integer overflow causing out of bounds writes when handling invalid uncompressed video (bsc#1215796). * CVE-2023-40476: Fixed possible overflow using max_sub_layers_minus1 (bsc#1215793). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.4 zypper in -t patch SUSE-2023-4575=1 * Basesystem Module 15-SP4 zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP4-2023-4575=1 * Desktop Applications Module 15-SP4 zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP4-2023-4575=1 * SUSE Package Hub 15 15-SP4 zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP4-2023-4575=1 ## Package List: * openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64 i586) * typelib-1_0-GstCodecs-1_0-1.20.1-150400.3.9.1 * libgstadaptivedemux-1_0-0-debuginfo-1.20.1-150400.3.9.1 * typelib-1_0-GstWebRTC-1_0-1.20.1-150400.3.9.1 * libgstbasecamerabinsrc-1_0-0-1.20.1-150400.3.9.1 * libgstbasecamerabinsrc-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstplay-1_0-0-1.20.1-150400.3.9.1 * typelib-1_0-GstVulkan-1_0-1.20.1-150400.3.9.1 * libgstbadaudio-1_0-0-1.20.1-150400.3.9.1 * libgsttranscoder-1_0-0-1.20.1-150400.3.9.1 * libgstmpegts-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstwebrtc-1_0-0-1.20.1-150400.3.9.1 * libgstcodecs-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstisoff-1_0-0-debuginfo-1.20.1-150400.3.9.1 * typelib-1_0-GstPlayer-1_0-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-devel-1.20.1-150400.3.9.1 * libgstcodecs-1_0-0-1.20.1-150400.3.9.1 * libgstinsertbin-1_0-0-1.20.1-150400.3.9.1 * gstreamer-transcoder-debuginfo-1.20.1-150400.3.9.1 * libgstplayer-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstsctp-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgsturidownloader-1_0-0-debuginfo-1.20.1-150400.3.9.1 * typelib-1_0-GstInsertBin-1_0-1.20.1-150400.3.9.1 * libgstmpegts-1_0-0-1.20.1-150400.3.9.1 * libgstcodecparsers-1_0-0-1.20.1-150400.3.9.1 * libgsttranscoder-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstvulkan-1_0-0-1.20.1-150400.3.9.1 * typelib-1_0-GstVulkanWayland-1_0-1.20.1-150400.3.9.1 * libgstadaptivedemux-1_0-0-1.20.1-150400.3.9.1 * libgstsctp-1_0-0-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-chromaprint-1.20.1-150400.3.9.1 * libgstphotography-1_0-0-1.20.1-150400.3.9.1 * libgstinsertbin-1_0-0-debuginfo-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-debuginfo-1.20.1-150400.3.9.1 * libgstva-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstplayer-1_0-0-1.20.1-150400.3.9.1 * libgstwayland-1_0-0-1.20.1-150400.3.9.1 * gstreamer-transcoder-devel-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-chromaprint-debuginfo-1.20.1-150400.3.9.1 * typelib-1_0-GstTranscoder-1_0-1.20.1-150400.3.9.1 * gstreamer-transcoder-1.20.1-150400.3.9.1 * typelib-1_0-GstPlay-1_0-1.20.1-150400.3.9.1 * libgstwebrtc-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstbadaudio-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgsturidownloader-1_0-0-1.20.1-150400.3.9.1 * libgstva-1_0-0-1.20.1-150400.3.9.1 * libgstwayland-1_0-0-debuginfo-1.20.1-150400.3.9.1 * typelib-1_0-GstBadAudio-1_0-1.20.1-150400.3.9.1 * libgstisoff-1_0-0-1.20.1-150400.3.9.1 * typelib-1_0-GstVulkanXCB-1_0-1.20.1-150400.3.9.1 * libgstcodecparsers-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstplay-1_0-0-debuginfo-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-debugsource-1.20.1-150400.3.9.1 * libgstvulkan-1_0-0-debuginfo-1.20.1-150400.3.9.1 * typelib-1_0-GstMpegts-1_0-1.20.1-150400.3.9.1 * libgstphotography-1_0-0-debuginfo-1.20.1-150400.3.9.1 * openSUSE Leap 15.4 (x86_64) * libgstvulkan-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstplay-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstplayer-1_0-0-32bit-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-32bit-1.20.1-150400.3.9.1 * libgstphotography-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstplay-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstsctp-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgsturidownloader-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstphotography-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstmpegts-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstplayer-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstwayland-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstva-1_0-0-32bit-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-chromaprint-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstwayland-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstvulkan-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstinsertbin-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-chromaprint-32bit-1.20.1-150400.3.9.1 * libgstmpegts-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstisoff-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstisoff-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstcodecs-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstcodecparsers-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstsctp-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstva-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstbadaudio-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstbasecamerabinsrc-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstadaptivedemux-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstcodecs-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstwebrtc-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstinsertbin-1_0-0-32bit-1.20.1-150400.3.9.1 * libgsturidownloader-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstbadaudio-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstwebrtc-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstadaptivedemux-1_0-0-32bit-1.20.1-150400.3.9.1 * libgstbasecamerabinsrc-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * libgstcodecparsers-1_0-0-32bit-debuginfo-1.20.1-150400.3.9.1 * openSUSE Leap 15.4 (noarch) * gstreamer-plugins-bad-lang-1.20.1-150400.3.9.1 * openSUSE Leap 15.4 (aarch64_ilp32) * libgstsctp-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstmpegts-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgsturidownloader-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstinsertbin-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstadaptivedemux-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstvulkan-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgsturidownloader-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstvulkan-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstcodecparsers-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-chromaprint-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstva-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstwebrtc-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstisoff-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstcodecs-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstbasecamerabinsrc-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstbasecamerabinsrc-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstwayland-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstplayer-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-64bit-1.20.1-150400.3.9.1 * libgstinsertbin-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstphotography-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstphotography-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstadaptivedemux-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstwayland-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstcodecs-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstplayer-1_0-0-64bit-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-chromaprint-64bit-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstplay-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstbadaudio-1_0-0-64bit-debuginfo-1.20.1-150400.3.9.1 * libgstbadaudio-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstcodecparsers-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstsctp-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstplay-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstva-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstisoff-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstwebrtc-1_0-0-64bit-1.20.1-150400.3.9.1 * libgstmpegts-1_0-0-64bit-1.20.1-150400.3.9.1 * Basesystem Module 15-SP4 (aarch64 ppc64le s390x x86_64) * libgstphotography-1_0-0-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-debuginfo-1.20.1-150400.3.9.1 * libgstplayer-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstplayer-1_0-0-1.20.1-150400.3.9.1 * libgstplay-1_0-0-debuginfo-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-debugsource-1.20.1-150400.3.9.1 * libgstplay-1_0-0-1.20.1-150400.3.9.1 * libgstphotography-1_0-0-debuginfo-1.20.1-150400.3.9.1 * Desktop Applications Module 15-SP4 (aarch64 ppc64le s390x x86_64) * typelib-1_0-GstCodecs-1_0-1.20.1-150400.3.9.1 * libgstadaptivedemux-1_0-0-debuginfo-1.20.1-150400.3.9.1 * typelib-1_0-GstWebRTC-1_0-1.20.1-150400.3.9.1 * libgstbasecamerabinsrc-1_0-0-1.20.1-150400.3.9.1 * libgstbasecamerabinsrc-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstbadaudio-1_0-0-1.20.1-150400.3.9.1 * libgstmpegts-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstwebrtc-1_0-0-1.20.1-150400.3.9.1 * libgstcodecs-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstisoff-1_0-0-debuginfo-1.20.1-150400.3.9.1 * typelib-1_0-GstPlayer-1_0-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-devel-1.20.1-150400.3.9.1 * libgstcodecs-1_0-0-1.20.1-150400.3.9.1 * libgstinsertbin-1_0-0-1.20.1-150400.3.9.1 * libgstsctp-1_0-0-debuginfo-1.20.1-150400.3.9.1 * typelib-1_0-GstInsertBin-1_0-1.20.1-150400.3.9.1 * libgsturidownloader-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstmpegts-1_0-0-1.20.1-150400.3.9.1 * libgstcodecparsers-1_0-0-1.20.1-150400.3.9.1 * libgstvulkan-1_0-0-1.20.1-150400.3.9.1 * libgstadaptivedemux-1_0-0-1.20.1-150400.3.9.1 * libgstsctp-1_0-0-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-chromaprint-1.20.1-150400.3.9.1 * libgstinsertbin-1_0-0-debuginfo-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-debuginfo-1.20.1-150400.3.9.1 * libgstva-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstwayland-1_0-0-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-chromaprint-debuginfo-1.20.1-150400.3.9.1 * typelib-1_0-GstPlay-1_0-1.20.1-150400.3.9.1 * libgstwebrtc-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgstbadaudio-1_0-0-debuginfo-1.20.1-150400.3.9.1 * libgsturidownloader-1_0-0-1.20.1-150400.3.9.1 * libgstva-1_0-0-1.20.1-150400.3.9.1 * libgstwayland-1_0-0-debuginfo-1.20.1-150400.3.9.1 * typelib-1_0-GstBadAudio-1_0-1.20.1-150400.3.9.1 * libgstisoff-1_0-0-1.20.1-150400.3.9.1 * libgstcodecparsers-1_0-0-debuginfo-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-debugsource-1.20.1-150400.3.9.1 * libgstvulkan-1_0-0-debuginfo-1.20.1-150400.3.9.1 * typelib-1_0-GstMpegts-1_0-1.20.1-150400.3.9.1 * Desktop Applications Module 15-SP4 (noarch) * gstreamer-plugins-bad-lang-1.20.1-150400.3.9.1 * SUSE Package Hub 15 15-SP4 (aarch64 ppc64le s390x x86_64) * gstreamer-plugins-bad-debugsource-1.20.1-150400.3.9.1 * libgsttranscoder-1_0-0-1.20.1-150400.3.9.1 * libgsttranscoder-1_0-0-debuginfo-1.20.1-150400.3.9.1 * gstreamer-plugins-bad-debuginfo-1.20.1-150400.3.9.1

References

* bsc#1215793

* bsc#1215796

Cross-

* CVE-2023-40474

* CVE-2023-40476

CVSS scores:

* CVE-2023-40474 ( SUSE ): 8.8 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

* CVE-2023-40476 ( SUSE ): 8.3 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:L

Affected Products:

* Basesystem Module 15-SP4

* Desktop Applications Module 15-SP4

* openSUSE Leap 15.4

* SUSE Linux Enterprise Desktop 15 SP4

* SUSE Linux Enterprise High Performance Computing 15 SP4

* SUSE Linux Enterprise Micro 5.3

* SUSE Linux Enterprise Micro 5.4

* SUSE Linux Enterprise Real Time 15 SP4

* SUSE Linux Enterprise Server 15 SP4

* SUSE Linux Enterprise Server for SAP Applications 15 SP4

* SUSE Manager Proxy 4.3

* SUSE Manager Retail Branch Server 4.3

* SUSE Manager Server 4.3

* SUSE Package Hub 15 15-SP4

An update that solves two vulnerabilities can now be installed.

##

* https://www.suse.com/security/cve/CVE-2023-40474.html

* https://www.suse.com/security/cve/CVE-2023-40476.html

* https://bugzilla.suse.com/show_bug.cgi?id=1215793

* https://bugzilla.suse.com/show_bug.cgi?id=1215796

Severity
Announcement ID: SUSE-SU-2023:4575-1
Rating: important

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo